<div class="form-check">
  <!-- <div class="custom-control custom-switch">
    <input
      type="checkbox"
      class="custom-control-input"
      id="customSwitch1"
      [checked]="search"
      (change)="search = !search"
    />
    <label class="custom-control-label" for="customSwitch1"
      >Toggle Search</label
    >
  </div> -->
</div>
<div class="form-group" *ngIf="search">
  <input
    type="number"
    class="form-control"
    id="searchNumber"
    placeholder="Credit Card Number"
  />
</div>
<table class="table table-dark table-hover   table-stripped">
  <thead>
    <tr>
      <th>Name</th>
      <th>Email</th>
      <th>Banned</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let user of users">
      <td>{{ user.firstName }} {{ user.lastName }}</td>
      <td>{{ user.email }}</td>
      <td *ngIf="user.role.name != 'Admin'">
        <p *ngIf="!user.banned" class="text-success">
          <i class="fa fa-check" aria-hidden="true"></i> Not Banned
        </p>
        <p *ngIf="user.banned" class="text-danger">
          <i class="fa fa-times" aria-hidden="true"></i> Banned
        </p>
      </td>
      <td *ngIf="user.role.name != 'Admin'">
        <button
          *ngIf="!user.banned"
          class="btn btn-outline-danger"
          (click)="banUser(user)"
        >
          Ban User
        </button>

        <button
          *ngIf="user.banned"
          class="btn btn-outline-success"
          (click)="unBanUser(user)"
        >
          Unban User
        </button>
      </td>
      <td colspan="2" *ngIf="user.role.name == 'Admin'">
        <p class="text-warning">Administrator User</p>
      </td>
    </tr>
  </tbody>
</table>

<div>
  <ul class="pagination">
    <li class="page-item" *ngIf="currentPage > 1">
      <a class="page-link" (click)="onPrevious()">&laquo;</a>
    </li>
    <li class="page-item">
      <a class="page-link" (click)="onPrevious()" *ngIf="currentPage - 1 > 0">{{
        currentPage - 1
      }}</a>
    </li>
    <li class="page-item active">
      <a class="page-link">{{ currentPage }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="onNext()"
        *ngIf="currentPage + 1 <= pages"
        >{{ currentPage + 1 }}</a
      >
    </li>
    <li class="page-item" *ngIf="currentPage < pages">
      <a class="page-link" (click)="onNext()">&raquo;</a>
    </li>
  </ul>
</div>
